THREATS
List Threats
List asset-relevant threats in tenant scope
GET
/
v1
/
threats
List threats
curl --request GET \
--url https://api.intrace.ai/v1/threats \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.intrace.ai/v1/threats"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.intrace.ai/v1/threats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"threats": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"pinned": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"attribution_types": [
"<string>"
],
"sources": [
"<string>"
],
"affected_assets": [
{
"asset_id": "<string>",
"asset_name": "<string>",
"asset_type": "<string>",
"distance_km": 123
}
],
"version_count": 123,
"development_count": 123,
"description": "<string>",
"threat_rationale": "<string>",
"threat_type": "<string>",
"location": "<string>",
"location_country": "<string>",
"coordinates": {
"lat": 123,
"lng": 123
},
"observed_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"likelihood": "<string>",
"impact_severity": "<string>",
"risk_score": 123,
"risk_level": "<string>",
"likelihood_rationale": "<string>",
"impact_rationale": "<string>",
"dismissal_reason": "<string>",
"location_precision_level": "<string>",
"location_uncertainty_km": 123,
"last_version_at": "2023-11-07T05:31:56Z",
"latest_development_title": "<string>"
}
],
"total": 123,
"assets": [
{
"asset_id": "<string>",
"name": "<string>",
"type": "<string>",
"lat": 123,
"lng": 123,
"country": "<string>",
"address": "<string>",
"monitoring_radius_km": 123
}
]
}Returns evaluated threats, not raw event rows.
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
asset_id | string[] | No | Limit to one or more affected assets |
severity | string | No | Filter by threat severity |
status | string | No | Filter by threat status |
include_dismissed | boolean | No | When true, include dismissed threats |
limit | integer | No | Max items, default 100 |
offset | integer | No | Row offset |
Response
{
"threats": [
{
"id": "4f5d1cc9-d4cc-49a1-a3fc-5ec93d674bc8",
"title": "Protest blocks access road near Lagos HQ",
"severity": "high",
"status": "active",
"threatType": "civic_activity.protest",
"location": "Victoria Island, Lagos",
"locationCountry": "NG",
"coordinates": {
"lat": 6.431,
"lng": 3.421
},
"observedAt": "2026-04-18T08:10:00Z",
"affectedAssets": [
{
"assetId": "lagos-hq",
"assetName": "Lagos HQ",
"assetType": "facility",
"distanceKm": 1.8
}
],
"riskLevel": "high",
"developmentCount": 2,
"versionCount": 3
}
],
"total": 1,
"assets": [
{
"assetId": "lagos-hq",
"name": "Lagos HQ",
"type": "facility",
"lat": 6.4541,
"lng": 3.3947,
"monitoringRadiusKm": 12
}
]
}
Example Request
curl -H "X-API-Key: your-api-key" "https://api.intrace.ai/v1/threats?asset_id=lagos-hq&status=active"
Authorizations
Query Parameters
Available options:
critical, high, medium, low, negligible Available options:
active, monitoring, contained, resolved, dismissed, ended Required range:
1 <= x <= 5000Required range:
x >= 0⌘I
List threats
